/* MEDIA QUERIES */

@media not all and (min-width: 1536px) {
  :root {
    --wp--custom--wrapper--px: 80px !important;
    --wp--custom--wrapper--gap-block: 120px !important;
  }
}

@media not all and (min-width: 1280px) {
  :root {
    --wp--custom--wrapper--gap-block: 60px !important;
  }
}

@media not all and (min-width: 1024px) {
  :root {
    --wp--custom--wrapper--px: 40px !important;
    --wp--preset--font-size--52: 48px !important;
    --wp--preset--font-size--32: 24px !important;
  }
}

@media not all and (min-width: 768px) {
  :root {
    --wp--custom--wrapper--px: 20px !important;
    --wp--custom--wrapper--gap-main: 40px !important;
    --wp--custom--wrapper--gap-block: 40px !important;
    --wp--preset--font-size--52: 44px !important;
    --wp--preset--font-size--36: 32px !important;
    --wp--preset--font-size--24: 20px !important;
  }
}

@media not all and (min-width: 640px) {
  :root {
    --wp--preset--font-size--52: 36px !important;
    --wp--preset--font-size--36: 28px !important;
    --wp--preset--font-size--32: 18px !important;
  }
}

@media not all and (min-width: 391px) {
}

/* GENERAL */

html {
  scroll-behavior: smooth;
}

p:empty {
  display: none;
}

:root {
  --black: var(--wp--preset--color--custom-black);
  --white: var(--wp--preset--color--custom-white);
  --green: var(--wp--preset--color--custom-green);
  --beige: var(--wp--preset--color--custom-beige);
  --light-green: var(--wp--preset--color--custom-light-green);
  --px: var(--wp--custom--wrapper--px);
  --gap-main: var(--wp--custom--wrapper--gap-main);
  --gap-block: var(--wp--custom--wrapper--gap-block);
}

/* HEADER */

.div-header {
  transition: all 0.3s ease-out;
}

html[data-scroll="0"] .div-header {
  background: transparent !important;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0);
}

html:not([data-scroll="0"]) .div-header {
  background: var(--white) !important;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.05);
}

.logo-header {
  transition: fill 0.3s ease-out;
}

html[data-scroll="0"] .logo-header {
  fill: var(--white) !important;
}

html:not([data-scroll="0"]) .logo-header {
  fill: var(--beige) !important;
}

html[data-scroll="0"] .logo-header:hover,
html:not([data-scroll="0"]) .logo-header:hover {
  fill: var(--light-green) !important;
}

.ul-desktop {
  display: flex;
  align-items: center;
  justify-content: end;
  gap: 32px;
}

.nav-desktop .menu-item:not(.btn-contact) a {
  position: relative;
  padding-left: 28px;
  transition: color 0.3s ease-out;
}

html[data-scroll="0"] .nav-desktop .menu-item:not(.btn-contact) a {
  color: var(--white);
}

html:not([data-scroll="0"]) .nav-desktop .menu-item:not(.btn-contact) a {
  color: var(--black);
}

/* MENU MOBILE */

.menu-mobile {
  position: fixed;
  z-index: 2;
  top: 0;
  right: 0;
  width: 100vw;
  height: 100dvh;
  transform: translateX(100%);
  transition: height 0.3s ease-out, transform 0.4s ease-out;
}

.menu-closed {
  transform: translateX(100%);
}

.menu-opened {
  transform: translateX(0%);
}

/* CONTACT */

.wpforms-container {
  width: 100% !important;
  margin: 0 !important;
}

.wpforms-field-medium {
  max-width: 100% !important;
}

.wpforms-required-label {
  display: none !important;
}

.wpforms-field-container label,
.wpforms-field-container legend, 
.wpforms-field-container input,
.wpforms-field textarea,
.modern-title {
  font-size: var(--wp--preset--font-size--p) !important;
  font-family: var(--wp--preset--font-family--public-sans) !important;
  color: var(--black) !important;
  margin: 0 !important;
  font-weight: 400 !important;
  line-height: normal !important;
}

.wpforms-field-container label:not(.wpforms-field-label-inline),
legend {
  padding-bottom: 6px !important;
}

.wpforms-container .wpforms-field {
  padding-bottom: 16px !important;
  padding-top: 0 !important;
}

.wpforms-submit::after {
  border: none !important;
  position: inherit !important;
}

.depth-1 {
  align-items: center !important;
}

/* MENTIONS LEGALES */

.netdev-mentions-legales {
  width: 100%;
}

.netdev-mentions-legales h2 {
  padding-top: 40px;
  padding-bottom: 20px;
}

.netdev-mentions-legales a {
  font-weight: 700;
  color: var(--black);
  word-break: break-all;
  transition: color 0.3s ease-out;
}

.netdev-mentions-legales a:hover {
  color: var(--orange);
}